Page MenuHomePhabricator

Implement PropertyDatatypeRepository via ForeignApi
Closed, ResolvedPublic

Description

Most likely, we can merge this into the class that’s currently called ForeignApiEntityLabelRepository (but should then be renamed), to merge the two API calls into one (props=label|datatype).

See T236232 for the final name of the interface to be implemented.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterbridge: Add property datatype repository
mediawiki/extensions/Wikibase : masterbridge: Refactor WellFormedResponse interface to be more extensible
mediawiki/extensions/Wikibase : masterbridge: refactor EntityLabelRepo to allow for bundling requests

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 23 2019, 9:44 AM
Michael claimed this task.Oct 24 2019, 10:23 AM
Michael moved this task from To do to Doing on the Wikidata-Bridge-Sprint-8 board.
Restricted Application added a project: User-Michael. · View Herald TranscriptOct 24 2019, 10:23 AM

Change 545829 had a related patch set uploaded (by Michael Große; owner: jenkins-bot):
[mediawiki/extensions/Wikibase@master] [WIP] bridge: Merge "Merge wikibase.api.RepoApiError to wikibase.api.RepoApi"

https://gerrit.wikimedia.org/r/545829

Change 545877 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: Guard labels key not being there

https://gerrit.wikimedia.org/r/545877

Change 545878 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: Add datatype request to entity info repo

https://gerrit.wikimedia.org/r/545878

Change 545829 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: refactor EntityLabelRepo to allow for bundling requests

https://gerrit.wikimedia.org/r/545829

Pablo-WMDE closed this task as Resolved.Nov 5 2019, 10:31 AM
Pablo-WMDE reopened this task as Open.
Pablo-WMDE moved this task from Peer Review to Done on the Wikidata-Bridge-Sprint-8 board.
Pablo-WMDE moved this task from Done to Peer Review on the Wikidata-Bridge-Sprint-8 board.

Change 545877 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Refactor WellFormedResponse interface to be more extensible

https://gerrit.wikimedia.org/r/545877

Change 545878 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Add property datatype repository

https://gerrit.wikimedia.org/r/545878

Michael closed this task as Resolved.Nov 5 2019, 12:57 PM
Michael moved this task from Peer Review to Done on the Wikidata-Bridge-Sprint-8 board.